Subject: Re: bug#15270: 24.3; ruby-mode font-lock bug related to HERE docs

From: Bozhidar Batsov <[email-masked]>
Date: Thu, 5 Sep 2013 14:48:54 +0300

I guess this is fixed in the trunk, but I think the highlighting of the first END in the heredoc should be corrected as well.

-- 
Cheers,
Bozhidar

On Thursday, September 5, 2013 at 2:45 PM, Dmitry Gutov wrote:

> Bozhidar Batsov <[email-masked] (mailto:[email-masked])> writes:
> 
> > Code like the following breaks font-locking logic of ruby-mode:
> > 
> > expected_source = <<-END.strip_indent
> > each do |x|
> > some_method
> > other_method
> > end
> > END
> > 
> > The second END gets highlighted as a constant, instead of a string. I
> > guess the two consecutive ends cause the problem.
> > 
> > Here's a screenshot - http://i42.tinypic.com/122jeap.jpg
> 
> WFM: http://i.imgur.com/YPsjoDS.png
> 
> Have you tried it in the current trunk?
> 
> The first END highlighting looks out of place, but it's caused by the
> "Perl-ish keywords" rule.
> 
>